Error after install litespeed web server

ricrey

Verified User
Joined
Aug 2, 2019
Messages
16
after installing litespeed on a Cloudlinux + DirectAdmin server, it marks the following errors

Screenshot_10.png

but the problem does not end there, I have a client who gets a php error

Screenshot_12.png

that same client uses an app in node.js, and now it marks an error 403 ... please I need your kind help.
 

Attachments

zEitEr

Super Moderator
Joined
Apr 11, 2005
Messages
13,932
Location
GMT +7.00
Hello,

I believe your PHP code requires mysql extension, so you need to switch to PHP 5.x, or upgrade it. The errors in LiteSpeed dashboard are not relative.
 

ricrey

Verified User
Joined
Aug 2, 2019
Messages
16
Hello,

I believe your PHP code requires mysql extension, so you need to switch to PHP 5.x, or upgrade it. The errors in LiteSpeed dashboard are not relative.
I commented that I have tried from php 5.4 to php 7.2 with the cloudlinux selector but I still get the same error, I don't know how to fix it, before installing the litespeed my client worked fine.
 

zEitEr

Super Moderator
Joined
Apr 11, 2005
Messages
13,932
Location
GMT +7.00
CloudLinux selector will work only for users added into CageFS. Do you have CageFS installed on your server? And is the user under question set into CageFS?
 

zEitEr

Super Moderator
Joined
Apr 11, 2005
Messages
13,932
Location
GMT +7.00
Alternatively you might enable:

- mysqli
- mysqlnd (nd_mysql, nd_mysqli, nd_pdo_mysql)

for your user in PHP selector.
 

ricrey

Verified User
Joined
Aug 2, 2019
Messages
16
CloudLinux selector will work only for users added into CageFS. Do you have CageFS installed on your server? And is the user under question set into CageFS?
if cagefs is enabled and installed and the user is inside it.

Alternatively you might enable:

- mysqli
- mysqlnd (nd_mysql, nd_mysqli, nd_pdo_mysql)

for your user in PHP selector.
I already enabled all the options with the php selector, but still the problem persists, I don't know what to do :(
----------------------------------------------------------------------------

Could it be that something will go wrong in the compilation?
 

zEitEr

Super Moderator
Joined
Apr 11, 2005
Messages
13,932
Location
GMT +7.00
If the enabled extensions do not solve the issue, the used PHP application might be too old and requires mysql extension, or it needs something else.

I would just go through the code of the PHP application and find out what extensions does it require. If it's not an option for you to debug PHP scripts, then you might need to contact author of the used PHP application and ask them to help.

Meanwhile in order to make sure PHP selector works fine, try and upload/create a simple PHP script into public_html or private_html folder of the site with

PHP:
<?php

phpinfo();
and see its output in a browser.
 
Top